Package com.studica.frc

## Class Titan

- java.lang.Object
- - com.studica.frc.Titan

    public class Titan
    extends java.lang.Object

### Constructor Summary

Constructors
`Titan​(int deviceID, int motor, int frequency)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configureMotor​(int motor)`
`void` `disableMotor​(int motor)`
`double` `getCurrent​(int motor)`
`double` `getEncoderDistance​(int encoder)`
`java.lang.String` `getFirmwareVersion()`
`int` `getFrequency()`
`java.lang.String` `getHardwareVersion()`
`int` `getID()`
`void` `resetEncoder​(int encoder)`
`void` `setEncoder​(int encoder, double distPerTick)`
`void` `setMotorSpeed​(int motor, double speed)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Titan

    public Titan​(int deviceID,
                 int motor,
                 int frequency)

### Method Detail

#### getID

    public int getID()

#### getFrequency

    public int getFrequency()

#### getFirmwareVersion

    public java.lang.String getFirmwareVersion()

#### getHardwareVersion

    public java.lang.String getHardwareVersion()

#### configureMotor

    public void configureMotor​(int motor)

#### disableMotor

    public void disableMotor​(int motor)

#### getCurrent

    public double getCurrent​(int motor)

#### setEncoder

    public void setEncoder​(int encoder,
                           double distPerTick)

#### getEncoderDistance

    public double getEncoderDistance​(int encoder)

#### resetEncoder

    public void resetEncoder​(int encoder)

#### setMotorSpeed

    public void setMotorSpeed​(int motor,
                              double speed)